///////////////////////////////////////////////////////GLOBAL VARIABLES

///////////////////////////////////////////////////////PRE-DEFINED

function BodyPartsSpriteClass::isMade(%this)
{
	%this.setConstantForce(0,100,true);
	%this.setCollisionResponse("RIGID");
	%this.setCollisionPhysics(true,true);
	%this.setCollisionActive(true,true);
	%this.setCollisionDetection("POLYGON");
	%this.setDamping(0.5);//8);
	%this.setRestitution(0);
	
	%this.setCollisionLayers("24");
	
	%this.enableUpdateCallback();
	
	%this.noHorizontal = false;
	%this.noVertical = false;
}

function BodyPartsAnimClass::isMade(%this)
{
	%this.setConstantForce(0,100,true);
	%this.setCollisionResponse("RIGID");
	%this.setCollisionPhysics(true,true);
	%this.setCollisionActive(true,true);
	%this.setCollisionDetection("POLYGON");
	%this.setDamping(0.5);//8);
	%this.setRestitution(0);
	
	%this.setCollisionLayers("24");
	
	//%this.enableUpdateCallback();
	
	%this.noHorizontal = false;
	%this.noVertical = false;
}

function BodyPartsClass::onUpdate(%this)
{	
	//Freezy effect, don't know what to do with it.
	//if(%this.getLinearVelocityY() < 1 && %this.getLinearVelocityY() > 0)
	//{
	//	%this.setConstantForce(0,0,false);	
	//}	
}

function BodyPartsClass::onCollision(%srcObject, %dstObject, %srcRef, %dstRef, %time, %normal, %contacts, %points)
{
	/*
	%dstX = %dstObject.getPositionX();
	%srcX = %srcObject.getPositionX();
	
	%stopX = getWord(%normal,0);//1 = left | -1 = right
	%stopY = getWord(%normal,1);//1 = up   | -1 = down
	
	if(%stopX != 0)
	{
		%srcObject.noHorizontal = true;
	}
	
	if(%stopY != 0)
	{
		%srcObject.noVertical = true;
	}*/
}

//////////////////////////////////////////////////////////SUPPORT

function makeDeadBodyPart(%part)
{
	if(%part.imageMap !$= "")
	{
		%deadPart = new t2dStaticSprite()
		{
			ImageMap = %part.ImageMap; 
			size = %part.getSize();
			class = "BodyPartsSpriteClass";
			Scenegraph = %part.getScenegraph();
			Position = %part.getPosition();
			Rotation = %part.getRotation();
			CollisionPolyList = %part.CollisionPolyList;
			Layer = "1";
		};
	}
	
	if(%part.animationName !$= "")
	{
		%deadPart = new t2dAnimatedSprite()
		{
			animationName = %part.getAnimation();
			class = "BodyPartsAnimClass";
			size = %part.getSize(); 
			Scenegraph = %part.getScenegraph();
			Position = %part.getPosition();
			Rotation = %part.getRotation();
			CollisionPolyList = %part.CollisionPolyList;
			Layer = "1";
		};
	}
	
	%deadPart.isMade();	
	return %deadPart;
}