function CloudClass::onAdd(%this,%scenegraph)
{
	%x = LevelMap.getPositionX();
	%y = LevelMap.getPositionY();
	%width = LevelMap.getWidth();
	%height = LevelMap.getHeight();
	%this.setWorldLimit("NULL",%x-(%width/2)-40,%y-(%height/2)-40,%x+(%width/2)+40,%y+(%height/2)+40,true);
	while(distanceBetweenPoints(%this,MainCat,"BOTH") < 60)
		%this.setPosition(%x + getRandom(-(%width/2)+(%this.getWidth()/2),(%width/2)-(%this.getWidth()/2)) ,%y + getRandom(-(%height/2)+(%this.getHeight()/2),(%height/2)-(%this.getHeight()/2)));
	
	%this.cloud = new t2dParticleEffect()
	{
		SceneGraph = %this.getSceneGraph();
		Layer = 1;
		Class = "CloudEffectClass";
		Size = "1 1";
		Position = %this.getPosition();
	};
	
	%this.cloud.loadEffect("~/data/particles/CloudEffect.eff");
	%this.cloud.playEffect();
	
	%this.cloud.mount(%this);
	%this.setLinearVelocity(0,0);
	
	while(mAbs(%this.getLinearVelocityX()) < 0.5 && mAbs(%this.getLinearVelocityY()) < 0.5)
	{
		%this.setLinearVelocity(%this.direction);
	}
	
	%this.enableUpdateCallback();
	%this.onceEffect = false;
}

function CloudClass::onWorldLimit(%this, %limitMode, %limit)
{
	switch$(%limit)
	{
		case "right": %this.setPositionX(%this.getPositionX()-LevelMap.getWidth()-75);
		case "left": %this.setPositionX(%this.getPositionX()+LevelMap.getWidth()+75);
		case "bottom": %this.setPositionY(%this.getPositionY()-LevelMap.getHeight()-75);
		case "top": %this.setPositionY(%this.getPositionY()+LevelMap.getHeight()+75);
	}
}

function CloudClass::onUpdate(%this)
{
	
}

