function CollectablePartClass::onLevelLoaded(%this,%scenegraph)
{
	$SAVEGAME.setPosition(0);
	while(!$SAVEGAME.isEOF())
	{
		%line = $SAVEGAME.readLine();
		if(getWord(%line,0) $= getWord(%this.part,0))
		{
			if(getWord(%line,1) $= getWord(%this.part,1))
			{
				if(getWord(%line,2) $= "1")
					%this.safeDelete();	
			}
		}
	}
	%this.setCollisionLayers("0 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31");
	%this.setCollisionDetection("FULL");
	%this.setCollisionCallback(true);
	%this.setCollisionActive(false,true);
}

function CollectablePartClass::onRemove(%this)
{
	$SAVEGAME.setPosition(0);
	while(!$SAVEGAME.isEOF())
	{
		%line = $SAVEGAME.readLine();
		if(getWord(%line,0) $= getWord(%this.part,0))
		{
			switch$(getWord(%this.part,0))
			{
				case "Heads": $CATHEADS[getWord(%this.part,1)] = getWord(%this.part,0)SPC getWord(%this.part,1)SPC "1";
				case "Bodies": $CATHEADS[getWord(%this.part,1)] = getWord(%this.part,0)SPC getWord(%this.part,1)SPC "1";
				case "FrontPaws": $CATHEADS[getWord(%this.part,1)] = getWord(%this.part,0)SPC getWord(%this.part,1)SPC "1";
				case "FrontLegs": $CATHEADS[getWord(%this.part,1)] = getWord(%this.part,0)SPC getWord(%this.part,1)SPC "1";
				case "BackLegs": $CATHEADS[getWord(%this.part,1)] = getWord(%this.part,0)SPC getWord(%this.part,1)SPC "1";
				case "BackPaws": $CATHEADS[getWord(%this.part,1)] = getWord(%this.part,0)SPC getWord(%this.part,1)SPC "1";
				case "Tails": $CATHEADS[getWord(%this.part,1)] = getWord(%this.part,0)SPC getWord(%this.part,1)SPC "1";
			}
			/*
			$CATPARTS[getWord(%this.part,1)] = ""
			for(%i = 0; %i < 9; %i++)
				$CATPARTS[getWord(%line,1)]
			$CATPARTS[getWord(%line,1)] = getWord(%line,0) SPC getWord(%line,0) SPC
			*/
		}
	}
}