function AttackEffectClass::onAdd(%this,%scenegraph)
{
	%this.enableUpdateCallback();
	%this.loadEffect("~/data/particles/CatSlashReadyEffect.eff");
	%this.playEffect();
}

function AttackEffectClass::onUpdate(%this)
{
	%this.setPosition(MainCat.getPosition());//X()+1,%this.target.getPositionX()+1);
	%this.setPosition(%this.target.getPosition());//X()+1,%this.target.getPositionX()+1);
}

function FinishClass::onAdd(%this,%scenegraph)
{
	%this.enableUpdateCallback();

	%this.loadEffect("~/data/particles/FinishPortalEffect.eff");
	%this.playEffect();
}

function FinishClass::onUpdate(%this)
{
	%this.setPosition(%this.startX SPC %this.startY);
}

function CloudEffectClass::onAdd(%this,%scenegraph)
{
	%this.enableUpdateCallback();
	%this.onceEffect = false;
	
	%this.loadEffect("~/data/particles/CloudEffect.eff");
	%this.playEffect();
}
function CloudEffectClass::onUpdate(%this)
{
	if(isObject(MainCat) && distanceBetweenPoints(%this,MainCat,"BOTH") > 100)
	{
		%this.stopEffect(false,false);
		%this.onceEffect = false;
	}else
	{
		if(!%this.onceEffect)
		{
			%this.loadEffect("~/data/particles/CloudEffect.eff");
			%this.playEffect();
			%this.onceEffect = true;
		}
	}
}

function StarEffectClass::onAdd(%this,%scenegraph)
{
	%this.loadEffect("~/data/particles/StarFlickerEffect.eff");
	%this.playEffect();
}