///////////////////////////////////////////////////////PRE-DEFINED

function DoorClass::onAdd(%this,%scenegraph)
{
	
}

function DoorClass::onCollision(%srcObject, %dstObject, %srcRef, %dstRef, %time, %normal, %contacts, %points)
{
	%xPos = %srcObject.getPositionX();
	%yPos = %srcObject.getPositionY();
	
	if(%dstObject.class $= "CatClass")
	{
			
		%wallX = getWord(%normal,0);//1 = left | -1 = right
		%wallY = getWord(%normal,1);//1 = up   | -1 = down
		
		//Hit from the top
		if(%wallY == -1){
			//Get amount of offset based on how wide the sprites are.
			%heightOffset = (%dstObject.getHeight()/2)+(%srcObject.getHeight()/2);
			//%dstObject.setPositionY(%yPos-%heightOffset);
			%dstObject.setLinearVelocityY(0);
		}
		
		//Hit from the bottom
		if(%wallY == 1){
			//Get amount of offset based on how wide the sprites are.
			%heightOffset = (%dstObject.getHeight()/2)+(%srcObject.getHeight()/2);
			%dstObject.setPositionY(%yPos+%heightOffset);
			%dstObject.setLinearVelocityY(0);		
		}		
		
		//Hit from the left
		if(%wallX == -1){
			//Get amount of offset based on how wide the sprites are.
			%widthOffset = (%dstObject.getWidth()/2)+(%srcObject.getHeight()/2);
			%dstObject.setPositionX(%xPos-%widthOffset);
			%dstObject.setLinearVelocityX(0);			
		}
		
		//Hit from the right
		if(%wallX == 1){
			//Get amount of offset based on how wide the sprites are.
			%widthOffset = (%dstObject.getWidth()/2)+(%srcObject.getHeight()/2);
			%dstObject.setPositionX(%xPos+%widthOffset);
			%dstObject.setLinearVelocityX(0);		
		}
	}
}

//////////////////////////////////////////////////////////SUPPORT

/*
*/
function DoorClass::openDoor(%this)
{
	switch$(%this.getImageMap())
	{
		case "DoorHorizontalIMImageMap": %this.orientation = "DoorHorizontalIMAnimation";//"HORIZONTAL";
		case "DoorVerticalIMImageMap": %this.orientation = "DoorVerticalIMAnimation";//"VERTICAL";	
	}
	
	
	new t2dAnimatedSprite()
	{
		scenegraph = %this.getScenegraph();
		Config = "OpenDoor";
		Position = %this.getPosition();
		animationName = %this.orientation;
	};
}