///////////////////////////////////////////////////////SUPPORT

/*
	This loads the next level.
*/
function loadScene(%level)
{
	sceneWindow2D.endLevel();
	SceneWindow2D.schedule(300, "loadLevel", %level);	
}

///////////////////////////////////////////////////////GLOBAL VARIABLES
$currentLevel = -1;
$FURTHESTLEVELREACHED = 10;
$CATEDITOR = 1;

$LEVELSAVE[1] = "L01 18 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0";
$LEVELSAVE[2] = "L02 43 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0";
$LEVELSAVE[3] = "L03 46 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0";
$LEVELSAVE[4] = "L04 24 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0";
$LEVELSAVE[5] = "L05 33 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0";
$LEVELSAVE[6] = "L06 62 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0";
$LEVELSAVE[7] = "L07 33 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0";
$LEVELSAVE[8] = "L08 70 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0";
$LEVELSAVE[9] = "L09 42 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0";
$LEVELSAVE[10] = "L10 96 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0";

$LEVELSTARS[0]  = "Stars0 0 0 0";
$LEVELSTARS[1]  = "Stars1 0 0 0";
$LEVELSTARS[2]  = "Stars2 0 0 0";
$LEVELSTARS[3]  = "Stars3 0 0 0";
$LEVELSTARS[4]  = "Stars4 0 0 0";
$LEVELSTARS[5]  = "Stars5 0 0 0";
$LEVELSTARS[6]  = "Stars6 0 0 0";
$LEVELSTARS[7]  = "Stars7 0 0 0";
$LEVELSTARS[8]  = "Stars8 0 0 0";
$LEVELSTARS[9]  = "Stars9 0 0 0";

$CATHEADS[0] = "Heads 0 0";
$CATHEADS[1] = "Heads 1 0";
$CATHEADS[2] = "Heads 2 0";
$CATHEADS[3] = "Heads 3 0";
$CATHEADS[4] = "Heads 4 0";
$CATHEADS[5] = "Heads 5 0";
$CATHEADS[6] = "Heads 6 0";
$CATHEADS[7] = "Heads 7 0";
$CATHEADS[8] = "Heads 8 0";
$CATHEADS[9] = "Heads 9 0";

$CATPARTS[1]  = "CatParts1 0 0 0";
$CATPARTS[2]  = "CatParts2 0 0 0";
$CATPARTS[3]  = "CatParts3 0 0 0";
$CATPARTS[4]  = "CatParts4 0 0 0";
$CATPARTS[5]  = "CatParts5 0 0 0";
$CATPARTS[6]  = "CatParts6 0 0 0";
$CATPARTS[7]  = "CatParts7 0 0 0";

//The $levelNames variable is catagorized according to the level select tilemap (x,y) starting at zero.
$LEVEL[1] = $levelNames[0,0] = "game/data/levels/L 1 Start Off.t2d";
$LEVEL[2] = $levelNames[1,0] = "game/data/levels/L 2 Easy Level.t2d";
$LEVEL[3] = $levelNames[2,0] = "game/data/levels/L 3 A Large Fish.t2d";
$LEVEL[4] = $levelNames[3,0] = "game/data/levels/L 4 Keys And Doors.t2d";
$LEVEL[5] = $levelNames[4,0] = "game/data/levels/L 5 Collecting Keys.t2d";
$LEVEL[6] = $levelNames[5,0] = "game/data/levels/L 6 Plenty Of Gaps.t2d";
$LEVEL[7] = $levelNames[6,0] = "game/data/levels/L 7 Now Or Later.t2d";
$LEVEL[8] = $levelNames[7,0] = "game/data/levels/L 8 Highway.t2d";
$LEVEL[9] = $levelNames[8,0] = "game/data/levels/L 9 Getting Around.t2d";
$LEVEL[10] = $levelNames[9,0] = "game/data/levels/L 10 Ode To Fanged Jellyfishes.t2d";


$levelNames[6] = "game/data/levels/L 7 Computer.t2d";
$levelNames[7] = "game/data/levels/L 8 Automobile.t2d";
$levelNames[8] = "game/data/levels/L 9 Book.t2d";
$levelNames[9] = "game/data/levels/L 10 Title Name.t2d";
$levelNames[10] = "game/data/levels/L 11 Star.t2d";
$levelNames[11] = "game/data/levels/L 12 Airplane.t2d";
$levelNames[12] = "game/data/levels/L 13 Maple Leaf.t2d";
$levelNames[13] = "game/data/levels/L 14 Train.t2d";
$levelNames[14] = "game/data/levels/L 15 Be Cautious.t2d";
$levelNames[15] = "game/data/levels/L 16 Clock.t2d";
$levelNames[16] = "game/data/levels/L 17 Face.t2d";
$levelNames[17] = "game/data/levels/L 18 Blimp.t2d";
$levelNames[18] = "game/data/levels/L 19 Lots-O-Points.t2d";
$levelNames[19] = "game/data/levels/L 20 Boat.t2d";
$levelNames[20] = "game/data/levels/L 21 Maze.t2d";
$levelNames[21] = "game/data/levels/L 22 Robot.t2d";
$levelNames[22] = "game/data/levels/L 23 Keys And Doors.t2d";
$levelNames[23] = "game/data/levels/L 24 Chaos.t2d";
$levelNames[24] = "game/data/levels/L 25 Cages.t2d";
$levelNames[25] = "game/data/levels/L 26 Flag.t2d";
$levelNames[26] = "game/data/levels/L 27 Lizard.t2d";
$levelNames[27] = "game/data/levels/L 28 Scary Face.t2d";
$levelNames[28] = "game/data/levels/L 29 Volcano.t2d";
$levelNames[29] = "game/data/levels/L 30 Grasshopper.t2d";
$levelNames[30] = "game/data/levels/L 31 Calculator.t2d";
$levelNames[31] = "game/data/levels/L 32 Space Ship.t2d";
$levelNames[32] = "game/data/levels/L 33 Castle.t2d";
$levelNames[33] = "game/data/levels/L 34 Bone.t2d";
$levelNames[34] = "game/data/levels/L 35 House.t2d";
$levelNames[35] = "game/data/levels/L 36 Tarantula.t2d";
$levelNames[36] = "game/data/levels/L 37 All Over Again.t2d";
$levelNames[37] = "game/data/levels/L 38 Alligator.t2d";
$levelNames[38] = "game/data/levels/L 39 Just A Level.t2d";
$levelNames[39] = "game/data/levels/L 40 Tic Tac Toe.t2d";
$levelNames[40] = "game/data/levels/L 41 Tree.t2d";
$levelNames[41] = "game/data/levels/L 42 Radio.t2d";
$levelNames[42] = "game/data/levels/L 43 Giant Paddle With Holes It It.t2d";
$levelNames[43] = "game/data/levels/L 44 Puzzling.t2d";
$levelNames[44] = "game/data/levels/L 45 Bumble Bee.t2d";
$levelNames[45] = "game/data/levels/L 46 Dinosaur.t2d";
$levelNames[46] = "game/data/levels/L 47 Telephone.t2d";
$levelNames[47] = "game/data/levels/L 48 Labyrinth.t2d";
$levelNames[48] = "game/data/levels/L 49 Message.t2d";
$levelNames[49] = "game/data/levels/L 50 Half-Way Point.t2d";
$levelNames[50] = "game/data/levels/L 51 Top-Hat Man.t2d";
$levelNames[51] = "game/data/levels/L 52 Duck.t2d";
$levelNames[52] = "game/data/levels/L 53.t2d";
$levelNames[53] = "game/data/levels/L 54.t2d";
$levelNames[54] = "game/data/levels/L 55.t2d";
$levelNames[55] = "game/data/levels/L 56.t2d";
$levelNames[56] = "game/data/levels/L 57.t2d";
$levelNames[57] = "game/data/levels/L 58.t2d";
$levelNames[58] = "game/data/levels/L 59.t2d";
$levelNames[59] = "game/data/levels/L 60.t2d";
$levelNames[60] = "game/data/levels/L 61.t2d";
$levelNames[61] = "game/data/levels/L 62.t2d";
$levelNames[62] = "game/data/levels/L 63.t2d";
$levelNames[63] = "game/data/levels/L 64.t2d";
$levelNames[64] = "game/data/levels/L 65.t2d";
$levelNames[65] = "game/data/levels/L 66.t2d";
$levelNames[66] = "game/data/levels/L 67.t2d";
$levelNames[67] = "game/data/levels/L 68.t2d";
$levelNames[68] = "game/data/levels/L 69.t2d";
$levelNames[69] = "game/data/levels/L 70.t2d";
$levelNames[70] = "game/data/levels/L 71.t2d";
$levelNames[71] = "game/data/levels/L 72.t2d";
$levelNames[72] = "game/data/levels/L 73.t2d";
$levelNames[73] = "game/data/levels/L 74.t2d";
$levelNames[74] = "game/data/levels/L 75.t2d";
$levelNames[75] = "game/data/levels/L 76.t2d";
$levelNames[76] = "game/data/levels/L 77.t2d";
$levelNames[77] = "game/data/levels/L 78.t2d";
$levelNames[78] = "game/data/levels/L 79.t2d";
$levelNames[79] = "game/data/levels/L 80.t2d";
$levelNames[80] = "game/data/levels/L 81.t2d";
$levelNames[81] = "game/data/levels/L 82.t2d";
$levelNames[82] = "game/data/levels/L 83.t2d";
$levelNames[83] = "game/data/levels/L 84.t2d";
$levelNames[84] = "game/data/levels/L 85.t2d";
$levelNames[85] = "game/data/levels/L 86.t2d";
$levelNames[86] = "game/data/levels/L 87.t2d";
$levelNames[87] = "game/data/levels/L 88.t2d";
$levelNames[88] = "game/data/levels/L 89.t2d";
$levelNames[89] = "game/data/levels/L 90.t2d";
$levelNames[90] = "game/data/levels/L 91.t2d";
$levelNames[91] = "game/data/levels/L 92.t2d";
$levelNames[92] = "game/data/levels/L 93.t2d";
$levelNames[93] = "game/data/levels/L 94.t2d";
$levelNames[94] = "game/data/levels/L 95.t2d";
$levelNames[95] = "game/data/levels/L 96.t2d";
$levelNames[96] = "game/data/levels/L 97.t2d";
$levelNames[97] = "game/data/levels/L 98.t2d";
$levelNames[98] = "game/data/levels/L 99.t2d";
$levelNames[99] = "game/data/levels/L 100.t2d";