function newGameFile()
{
	$SAVEGAME.close();
	fileDelete("game/save.txt");
	$SAVEGAME.open("~/save.txt",ReadWrite);
	
	$SAVEGAME.setPosition(0);
	$SAVEGAME.writeLine("1");
	$SAVEGAME.writeLine("0");
	$SAVEGAME.writeLine("BrownTanCatHeadIMImageMap");//HeadChange.headImages[HeadChange.headIndex]);
	$SAVEGAME.writeLine("BrownTanCatFrontPawIMImageMap");//FrontPawChange.frontPawImages[FrontPawChange.frontPawIndex]);
	$SAVEGAME.writeLine("BrownTanCatFrontLegIMImageMap");//FrontLegChange.frontLegImages[FrontLegChange.frontLegIndex]);
	$SAVEGAME.writeLine("BrownTanCatBodyIMImageMap");//BodyChange.bodyImages[BodyChange.bodyIndex]);
	$SAVEGAME.writeLine("BrownTanCatBackLegIMImageMap");//BackLegChange.backLegImages[BackLegChange.backLegIndex]);
	$SAVEGAME.writeLine("BrownTanCatBackPawIMImageMap");//BackPawChange.backPawImages[BackPawChange.backPawIndex]);
	$SAVEGAME.writeLine("BrownTanCatTailIMImageMap");//TailChange.tailImages[TailChange.tailIndex]);
	
	for(%i = 0; %i < 100; %i++)
	{
		%newLine = "Stars "@%i SPC"0"SPC"0"SPC"0";
		$SAVEGAME.writeLine(%newLine);
	}
	
	//Heads.
	for(%i = 0; %i < 70; %i++)
	{
		%newLine = "Heads"SPC%i SPC"0";
		$SAVEGAME.writeLine(%newLine);
	}
	
	//Bodies.
	for(%i = 0; %i < 70; %i++)
	{
		%newLine = "Bodies"SPC%i SPC"0";
		$SAVEGAME.writeLine(%newLine);
	}
	
	//Front Paws.
	for(%i = 0; %i < 70; %i++)
	{
		%newLine = "FrontPaws"SPC%i SPC"0";
		$SAVEGAME.writeLine(%newLine);
	}
	
	//Front Legs.
	for(%i = 0; %i < 70; %i++)
	{
		%newLine = "FrontLegs"SPC%i SPC"0";
		$SAVEGAME.writeLine(%newLine);
	}
	
	//Back Legs.
	for(%i = 0; %i < 70; %i++)
	{
		%newLine = "BackLegs"SPC%i SPC"0";
		$SAVEGAME.writeLine(%newLine);
	}
	
	//Back Paws.
	for(%i = 0; %i < 70; %i++)
	{
		%newLine = "BackPaws"SPC%i SPC"0";
		$SAVEGAME.writeLine(%newLine);
	}
	
	//Tails.
	for(%i = 0; %i < 70; %i++)
	{
		%newLine = "Tails"SPC%i SPC"0";
		$SAVEGAME.writeLine(%newLine);
	}
	
	for(%i = 1; %i < 11; %i++)
		$SAVEGAME.writeLine($LEVELSAVE[%i]);
}

function loadVariables()
{
	$SAVEGAME.setPosition(0);
	//Furthest level reached.
	$FURTHESTLEVELREACHED = $SAVEGAME.readLine();
	
	
	//Goodies collected total.
	$SCORE = $SAVEGAME.readLine();
	
	//Load last cat config.
	$HEADIM     = $SAVEGAME.readLine();
	$FRONTPAWIM = $SAVEGAME.readLine();
	$FRONTLEGIM = $SAVEGAME.readLine();
	$BODYIM     = $SAVEGAME.readLine();
	$BACKLEGIM  = $SAVEGAME.readLine();
	$BACKPAWIM  = $SAVEGAME.readLine();
	$TAILIM     = $SAVEGAME.readLine();
	
	for(%i = 0; %i < 100; %i++)
		$LEVELSTARS[%i]  = $SAVEGAME.readLine();
	
	for(%i = 0; %i < 70; %i++)
		$CATHEADS[%i] = $SAVEGAME.readLine();
	for(%i = 0; %i < 70; %i++)
		$CATBODIES[%i] = $SAVEGAME.readLine();
	for(%i = 0; %i < 70; %i++)
		$CATFRONTPAWS[%i] = $SAVEGAME.readLine();
	for(%i = 0; %i < 70; %i++)
		$CATFRONTLEGS[%i] = $SAVEGAME.readLine();
	for(%i = 0; %i < 70; %i++)
		$CATBACKLEGS[%i] = $SAVEGAME.readLine();
	for(%i = 0; %i < 70; %i++)
		$CATBACKPAWS[%i] = $SAVEGAME.readLine();
	for(%i = 0; %i < 70; %i++)
		$CATTAILS[%i] = $SAVEGAME.readLine();
		
	for(%i = 1; %i < 11; %i++)
		$LEVELSAVE[%i] = $SAVEGAME.readLine();
}

function SaveGame()
{
	$SAVEGAME.close();
	fileDelete("game/save.txt");
	$SAVEGAME.open("~/save.txt",ReadWrite);
	
	$SAVEGAME.setPosition(0);
	$SAVEGAME.writeLine($FURTHESTLEVELREACHED);
	$SAVEGAME.writeLine($SCORE);
	$SAVEGAME.writeLine($HEADIM);//HeadChange.headImages[HeadChange.headIndex]);
	$SAVEGAME.writeLine($FRONTPAWIM);//FrontPawChange.frontPawImages[FrontPawChange.frontPawIndex]);
	$SAVEGAME.writeLine($FRONTLEGIM);//FrontLegChange.frontLegImages[FrontLegChange.frontLegIndex]);
	$SAVEGAME.writeLine($BODYIM);//BodyChange.bodyImages[BodyChange.bodyIndex]);
	$SAVEGAME.writeLine($BACKLEGIM);//BackLegChange.backLegImages[BackLegChange.backLegIndex]);
	$SAVEGAME.writeLine($BACKPAWIM);//BackPawChange.backPawImages[BackPawChange.backPawIndex]);
	$SAVEGAME.writeLine($TAILIM);//TailChange.tailImages[TailChange.tailIndex]);
	
	for(%i = 0; %i < 100; %i++)
	{
		$SAVEGAME.writeLine($LEVELSTARS[%i]);
	}
	
	for(%i = 0; %i < 70; %i++)
	{
		$SAVEGAME.writeLine($CATHEADS[%i]);
	}
	for(%i = 0; %i < 70; %i++)
	{
		$SAVEGAME.writeLine($CATBODIES[%i]);
	}
	for(%i = 0; %i < 70; %i++)
	{
		$SAVEGAME.writeLine($CATFRONTPAWS[%i]);
	}
	for(%i = 0; %i < 70; %i++)
	{
		$SAVEGAME.writeLine($CATFRONTLEGS[%i]);
	}
	for(%i = 0; %i < 70; %i++)
	{
		$SAVEGAME.writeLine($CATBACKLEGS[%i]);
	}
	for(%i = 0; %i < 70; %i++)
	{
		$SAVEGAME.writeLine($CATBACKPAWS[%i]);
	}
	for(%i = 0; %i < 70; %i++)
	{
		$SAVEGAME.writeLine($CATTAILS[%i]);
	}
	
	for(%i = 1; %i < 11; %i++)
		$SAVEGAME.writeLine($LEVELSAVE[%i]);
}

function getLevelIndex()
{
	switch($currentLevel)
	{
		case 1: return "L01";
		case 2: return "L02";	
		case 3: return "L03";	
		case 4: return "L04";	
		case 5: return "L05";	
		case 6: return "L06";	
		case 7: return "L07";	
		case 8: return "L08";	
		case 9: return "L09";
		case 10: return "L10";
		case 100: return "L00";	
	}
}