///////////////////////////////////////////////////////GLOBAL VARIABLES

///////////////////////////////////////////////////////PRE-DEFINED

function SpiderClass::onLevelLoaded(%this,%scenegraph)
{
	%this.enableUpdateCallback();
	
	%this.outClawFactor = 2.5;
	%this.ClawLimitFactor = 1;
	%this.numberOfLegs = 8;
	
	%this.InitializeFeet();
	
	%this.moveSpeed = 10;
	%this.clawOffset = 2.5;
	%this.clawX = %this.clawY = %this.clawXY = 0;
	%this.speedFactorX = %this.speedFactorY = %this.speedFactorXY = %this.moveSpeed*-0.03;
	%this.clawOnceX = %this.clawOnceY = %this.clawOnceXY1 = %this.clawOnceXY2 = false;
	
	%this.frontLegLeft  = %this.makeFrontLeg();
	%this.frontLegRight = %this.makeFrontLeg();
	%this.frontLegRight.setFlipX(true);
	
	%this.speedMax = 10;
	%this.speedMin = -%this.speedMax;
	%this.hor = 0;
	%this.ver = 0;
	%this.moveRandomly(%this);
}

//////////////////////////////////////////////////////////SUPPORT

function SpiderClass::InitializeFeet(%this)
{
	for(%i = 0; %i < %this.numberOfLegs; %i++)
	{
		%this.foot[%i] = new t2dStaticSprite()
		{
			ImageMap = "SpiderLegSegmentIMImageMap"; 
			Config = "SpiderLegSegment";
			Scenegraph = %this.getScenegraph();
			Position = %this.getPosition();
		};
	}
	
	//Front claws.
	%this.leg[0].setPosition(%this.getPositionX()-%this.clawOffset,%this.getPositionY());
	%this.leg[1].setPosition(%this.getPositionX()+%this.clawOffset,%this.getPositionY());
	
	%this.leg[2].setPosition(%this.getPositionX()-%this.clawOffset,%this.getPositionY());
	%this.leg[3].setPosition(%this.getPositionX()+%this.clawOffset,%this.getPositionY());
	
	%this.leg[4].setPosition(%this.getPositionX()-%this.clawOffset,%this.getPositionY());
	%this.leg[5].setPosition(%this.getPositionX()+%this.clawOffset,%this.getPositionY());
	
	%this.leg[6].setPosition(%this.getPositionX()-%this.clawOffset,%this.getPositionY());
	%this.leg[7].setPosition(%this.getPositionX()+%this.clawOffset,%this.getPositionY());
}