$brushSet = new SimSet() {
   canSaveDynamicFields = "1";
   internalName = "Brushes";
      setType = "Brushes";

   new ScriptObject(WoodWallBrush) {
      canSaveDynamicFields = "1";
      class = "TileBrush";
         collision = "1";
         customData = "None";
         displayName = "WoodWallBrush";
         FlipX = "0";
         FlipY = "0";
         frame = "0";
         image = "PlaceHolderWoodIMImageMap";
         script = "None";
   };
   new ScriptObject(WireScreenBrush) {
      canSaveDynamicFields = "1";
      class = "TileBrush";
         collision = "0";
         customData = "None";
         displayName = "WireScreenBrush";
         FlipX = "0";
         FlipY = "0";
         frame = "0";
         image = "WireScreenIMImageMap";
         script = "None";
   };
   new ScriptObject(GoodieBrush3) {
      canSaveDynamicFields = "1";
      class = "TileBrush";
         collision = "-1";
         customData = "None";
         displayName = "GoodieBrush3";
         FlipX = "-1";
         FlipY = "0";
         frame = "0";
         image = "GrayScaleFeatherScreenIMImageMap";
         script = "GoodieTile";
   };
   new ScriptObject(GoodieBrush2) {
      canSaveDynamicFields = "1";
      class = "TileBrush";
         collision = "-1";
         customData = "None";
         displayName = "GoodieBrush2";
         FlipX = "-1";
         FlipY = "0";
         frame = "0";
         image = "GrayScaleMouseScreenIMImageMap";
         script = "GoodieTile";
   };
   new ScriptObject(GoodieBrush1) {
      canSaveDynamicFields = "1";
      class = "TileBrush";
         collision = "-1";
         customData = "None";
         displayName = "GoodieBrush1";
         FlipX = "-1";
         FlipY = "0";
         frame = "0";
         image = "GrayScaleYarnScreenIMImageMap";
         script = "GoodieTile";
   };
   new ScriptObject(JellyFishBrush) {
      canSaveDynamicFields = "1";
      class = "TileBrush";
         collision = "-1";
         customData = "None";
         displayName = "JellyFishBrush";
         FlipX = "-1";
         FlipY = "-1";
         frame = "0";
         image = "JellyFishScreenIMImageMap";
         script = "JellyFishTile";
   };
   new ScriptObject(BeastBrush) {
      canSaveDynamicFields = "1";
      class = "TileBrush";
         collision = "-1";
         customData = "None";
         displayName = "BeastBrush";
         FlipX = "-1";
         FlipY = "-1";
         frame = "0";
         image = "BeastScreenIMImageMap";
         script = "BeastTile";
   };
   new ScriptObject(CatBrush) {
      canSaveDynamicFields = "1";
      class = "TileBrush";
         collision = "-1";
         customData = "None";
         displayName = "CatBrush";
         FlipX = "-1";
         FlipY = "-1";
         frame = "0";
         image = "BrownTanCatBodyIMImageMap";
         script = "CatTile";
   };
   new ScriptObject(SlashTileBrush) {
      canSaveDynamicFields = "1";
      class = "TileBrush";
         collision = "-1";
         customData = "None";
         displayName = "SlashTileBrush";
         FlipX = "-1";
         FlipY = "0";
         frame = "0";
         image = "SlashScreenIMImageMap";
         script = "SlashTile";
   };
   new ScriptObject(KeyBrush) {
      canSaveDynamicFields = "1";
      class = "TileBrush";
         collision = "0";
         customData = "None";
         displayName = "KeyBrush";
         FlipX = "-1";
         FlipY = "-1";
         frame = "0";
         image = "KeyScreenIMImageMap";
         script = "KeyTile";
   };
   new ScriptObject(DoorHorizontalBrush) {
      canSaveDynamicFields = "1";
      class = "TileBrush";
         collision = "-1";
         customData = "None";
         displayName = "DoorHorizontalBrush";
         FlipX = "-1";
         FlipY = "-1";
         frame = "0";
         image = "DoorHorizontalIMImageMap";
         script = "HorDoor";
   };
   new ScriptObject(DoorVerticalBrush) {
      canSaveDynamicFields = "1";
      class = "TileBrush";
         collision = "-1";
         customData = "None";
         displayName = "DoorVerticalBrush";
         FlipX = "-1";
         FlipY = "-1";
         frame = "0";
         image = "DoorVerticalIMImageMap";
         script = "VerDoor";
   };
   new ScriptObject(FinishBrush) {
      canSaveDynamicFields = "1";
      class = "TileBrush";
         collision = "1";
         customData = "None";
         displayName = "FinishBrush";
         FlipX = "0";
         FlipY = "0";
         frame = "0";
         image = "WhiteCircleIMImageMap";
         script = "FinishTile";
   };
};
